Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 08 Mar 2021 10:56:29 +0000

Colin Baxter <[email-masked]> writes:

> In GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
>  of 2021-03-07 built on bluestar
> Repository revision: 8558ecd65fc1c87345353f6352299df04280e729
> Repository branch: master
> System Description: Debian GNU/Linux 9 (stretch)
>
> Configured using:
>  'configure --with-x-toolkit=lucid'

Just curious: how come this doesn't list your 'Windowing system
distributor' (which in my case is X.Org 11), when your features below
include X11?  Do you need to configure '--with-x' or something?

> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
> JPEG LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
> NOTIFY INOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
> X11 XAW3D XDBE XIM XPM LUCID ZLIB
>
> Important settings:
>   value of $LANG: en_GB.utf8
>   locale-coding-system: utf-8

Apart from that, the only possibly significant differences I see from my
configuration of Emacs 28[1] are: I'm on x86_64, with a more recent
version of Debian and Cairo, and 'value of $XMODIFIERS: @im=ibus'.  So
I'm not sure what's going on.

[1]: https://lists.gnu.org/r/emacs-devel/2021-03/msg00359.html

-- 
Basil